---
title: Get Argo Smart Routing setting
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/typescript)

[Argo](https://developers.cloudflare.com/api/typescript/resources/argo)

[Smart Routing](https://developers.cloudflare.com/api/typescript/resources/argo/subresources/smart_routing)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get Argo Smart Routing setting

client.argo.smartRouting.get(SmartRoutingGetParams {zone\_id } params, RequestOptionsoptions?): [SmartRoutingGetResponse](<https://developers.cloudflare.com/api/typescript/resources/argo#(resource)%20argo.smart_routing%20%3E%20(model)%20smart_routing_get_response%20%3E%20(schema)>) {id, editable, value, modified\_on }

GET/zones/{zone\_id}/argo/smart\_routing

Retrieves the value of Argo Smart Routing enablement setting.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Zone Settings Write``Zone Settings Read`

##### ParametersExpand Collapse

<details>

<summary>

params: SmartRoutingGetParams {zone\_id }

</summary>

zone\_id: string

Specifies the zone associated with the API call.

maxLength32

<a href="#(resource)%20argo.smart_routing%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20argo.smart_routing%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

SmartRoutingGetResponse {id, editable, value, modified\_on }

</summary>

id: string

Specifies the identifier of the Argo Smart Routing setting.

<a href="#(resource)%20argo.smart_routing%20%3E%20(model)%20smart_routing_get_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

editable: boolean

Specifies if the setting is editable.

<a href="#(resource)%20argo.smart_routing%20%3E%20(model)%20smart_routing_get_response%20%3E%20(schema)%20%3E%20(property)%20editable">Link to this property</a>

<details>

<summary>

value: "on"| "off"

Specifies the enablement value of Argo Smart Routing.

</summary>

One of the following:

"on"

<a href="#(resource)%20argo.smart_routing%20%3E%20(model)%20smart_routing_get_response%20%3E%20(schema)%20%3E%20(property)%20value%20%3E%20(member)%200">Link to this property</a>

"off"

<a href="#(resource)%20argo.smart_routing%20%3E%20(model)%20smart_routing_get_response%20%3E%20(schema)%20%3E%20(property)%20value%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20argo.smart_routing%20%3E%20(model)%20smart_routing_get_response%20%3E%20(schema)%20%3E%20(property)%20value">Link to this property</a>

modified\_on?: string

Specifies the time when the setting was last modified.

formatdate-time

<a href="#(resource)%20argo.smart_routing%20%3E%20(model)%20smart_routing_get_response%20%3E%20(schema)%20%3E%20(property)%20modified_on">Link to this property</a>

</details>

[Link to this property](<#(resource)%20argo.smart_routing%20%3E%20(model)%20smart_routing_get_response%20%3E%20(schema)>)

### Get Argo Smart Routing setting

TypeScript

HTTPTypeScriptPythonGoTerraform

```
import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const smartRouting = await client.argo.smartRouting.get({
  zone_id: '023e105f4ecef8ad9ca31a8372d0c353',
});

console.log(smartRouting.id);
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "id",
    "editable": true,
    "value": "on",
    "modified_on": "2019-12-27T18:11:19.117Z"
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "id",
    "editable": true,
    "value": "on",
    "modified_on": "2019-12-27T18:11:19.117Z"
  },
  "success": true
}
```